Bug 991210 - [abrt] exaile-3.3.1-3.fc19: cdprefs.py:76:on_check_condition:ValueError: None is not in list
[abrt] exaile-3.3.1-3.fc19: cdprefs.py:76:on_check_condition:ValueError: None...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: exaile (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
abrt_hash:381d138998edccb1cfcd768f159...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 16:40 EDT by Aiden Neal
Modified: 2015-02-17 11:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:30:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (880 bytes, text/plain)
2013-08-01 16:40 EDT, Aiden Neal
no flags Details
File: core_backtrace (216 bytes, text/plain)
2013-08-01 16:40 EDT, Aiden Neal
no flags Details
File: environ (1.31 KB, text/plain)
2013-08-01 16:40 EDT, Aiden Neal
no flags Details

  None (edit)
Description Aiden Neal 2013-08-01 16:40:03 EDT
Description of problem:
I was looking through the Exaile options when the problem notification appeared; Exaile did not have any visible issues however.

Version-Release number of selected component:
exaile-3.3.1-3.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/share/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
executable:     /usr/share/exaile/exaile.py
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
cdprefs.py:76:on_check_condition:ValueError: None is not in list

Traceback (most recent call last):
  File "/usr/share/exaile/xlgui/preferences/widgets.py", line 182, in on_option_set
    if self.on_check_condition():
  File "/usr/share/exaile/plugins/cd/cdprefs.py", line 76, in on_check_condition
    formatinfo['raw_steps'].index(self.default)]
ValueError: None is not in list

Local variables in innermost frame:
model: <gtk.ListStore object at 0x36599b0 (GtkListStore at 0x39bc940)>
format: 'FLAC'
self: <cdprefs.OutputQualityPreference object at 0x34ea1d0>
formatinfo: {'raw_steps': [0, 1, 2, 3, 4, 5, 6, 7, 8, 9], 'extension': 'flac', 'default': 5, 'kbs_steps': [0, 1, 2, 3, 4, 5, 6, 7, 8, 9], 'command': 'flacenc quality=%i', 'plugins': ['flacenc'], 'desc': u'Free Lossless Audio Codec (FLAC) is an open source codec that compresses but does not degrade audio quality.'}

Potential duplicate: bug 788813
Comment 1 Aiden Neal 2013-08-01 16:40:14 EDT
Created attachment 781754 [details]
File: backtrace
Comment 2 Aiden Neal 2013-08-01 16:40:17 EDT
Created attachment 781755 [details]
File: core_backtrace
Comment 3 Aiden Neal 2013-08-01 16:40:20 EDT
Created attachment 781756 [details]
File: environ
Comment 4 Fedora Admin XMLRPC Client 2014-07-26 13:08:46 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2014-07-26 23:48:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2015-01-09 14:13:48 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 11:30:36 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.